## mx4j.tools.config
Class DefaultConfigurationBuilder.Call

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
          mx4j.tools.config.DefaultConfigurationBuilder.Call

All Implemented Interfaces:
  ConfigurationBuilder.Node

Enclosing class:
  DefaultConfigurationBuilder

public static class DefaultConfigurationBuilder.Call
extends DefaultConfigurationBuilder.AbstractNode

Constructor Summary
`DefaultConfigurationBuilder.Call()`

Method Summary
`java.lang.Object` `configure(javax.management.MBeanServer server)`
`void` `setAttribute(java.lang.String attribute)`
`void` `setClassname(java.lang.String classname)`
`void` `setMethod(java.lang.String method)`
`void` `setObjectname(java.lang.String name)`
`void` `setOperation(java.lang.String operation)`
`void` `setRefobjectid(java.lang.String refid)`

Methods inherited from class mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
`addChild, getChildren, getParent, getText, setAttributes, setParent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.Call

    public DefaultConfigurationBuilder.Call()

Method Detail

### setClassname

    public void setClassname(java.lang.String classname)

### setObjectname

    public void setObjectname(java.lang.String name)
                       throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### setRefobjectid

    public void setRefobjectid(java.lang.String refid)

### setMethod

    public void setMethod(java.lang.String method)

### setOperation

    public void setOperation(java.lang.String operation)

### setAttribute

    public void setAttribute(java.lang.String attribute)

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.